> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-reporting-service-guide/v19/creating-custom-reports/add-a-data-source.md).

# Add a Data Source

You now need to create a data source for your report. A data source contains the database connection properties, authentication method, and some other instructions.

To create a data source:

1. In the Report Builder, right-click on **Data Sources** in the left pane and then click **Add Data Source**.
2. In the **Data Source Properties** dialog, type a name for the data source and then select the **Use a shared connection or report model** option. The other option ("Use a connection embedded in my report") allows you to specify the connection string manually, but since Parallels RAS Reporting already has the shared connection source defined, we'll use the first option instead.
3. Click the **Browse** button. The **Select Data Sources** dialog opens:
4. Double-click the **RASReportingDS** folder and select the **dsReporting** object. Click **Open**.
5. The **dsReporting** object should now appear in the list in the **Data Source Properties** dialog.
6. Click the **Test Connection** button. If the connection is successful, you should see a confirmation message.
7. Click **OK** to close the **Data Source Properties** dialog.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-reporting-service-guide/v19/creating-custom-reports/add-a-data-source.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
